internal::indexer_helper< TupleTypes, N > Struct Template Reference

`#include <_flow_graph_indexer_impl.h>`

Collaboration diagram for internal::indexer_helper< TupleTypes, N >:

## Static Public Member Functions

template<typename IndexerNodeBaseType , typename PortTuple >
static void | set_indexer_node_pointer (PortTuple &my_input, IndexerNodeBaseType *p, graph &g)
template<typename InputTuple >
static void | reset_inputs (InputTuple &my_input, reset_flags f)

## Detailed Description

### template<typename TupleTypes, int N>
struct internal::indexer_helper< TupleTypes, N >

Definition at line 40 of file _flow_graph_indexer_impl.h.

## Member Function Documentation

## reset_inputs()

template<typename TupleTypes , int N>
template<typename InputTuple >

static void internal::indexer_helper< TupleTypes, N >::reset_inputs | ( | InputTuple & | my_input,
|  | reset_flags | f
| ) |  |

inline static

Definition at line 49 of file _flow_graph_indexer_impl.h.

{
indexer_helper<TupleTypes,N-1>::reset_inputs(my_input, f);
tbb::flow::get<N-1>(my_input).reset_receiver(f);
}
internal::indexer_helper::reset_inputs
static void reset_inputs(InputTuple &my_input, reset_flags f)
Definition: _flow_graph_indexer_impl.h:49

Referenced by internal::indexer_node_base< InputTuple, OutputType, StructTypes >::reset_node().

Here is the caller graph for this function:

## set_indexer_node_pointer()

template<typename TupleTypes , int N>
template<typename IndexerNodeBaseType , typename PortTuple >

static void internal::indexer_helper< TupleTypes, N >::set_indexer_node_pointer | ( | PortTuple & | my_input,
|  | IndexerNodeBaseType * | p,
|  | graph & | g
| ) |  |

inline static

Definition at line 42 of file _flow_graph_indexer_impl.h.

{
typedef typename tuple_element<N-1, TupleTypes>::type T;
task *(*indexer_node_put_task)(const T&, void *) = do_try_put<IndexerNodeBaseType, T, N-1>;
tbb::flow::get<N-1>(my_input).set_up(p, indexer_node_put_task, g);
indexer_helper<TupleTypes,N-1>::template set_indexer_node_pointer<IndexerNodeBaseType,PortTuple>(my_input, p, g);
}
task
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task * task
Definition: ittnotify_static.h:119
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91
type
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_id __itt_string_handle __itt_metadata_type type
Definition: ittnotify_static.h:198

References p, task, and type.

Referenced by internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.